#ifndef __INC_POS_PDOS_ARGTAGS_H
#define __INC_POS_PDOS_ARGTAGS_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>ArgTags.h<<   20 Oct 1996    14:15:59 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PUTIL_TAGITEM_H
#include <pUtil/TagItem.h>
#endif

enum pOS_ArgTags
{
  ARGTAG_First = TAG_USER + 0x40000,

  ARGTAG_HelpText,                      /* (const CHAR*) */
  ARGTAG_Arguments,                     /* (const CHAR*) */
  ARGTAG_RawLine,                       /* (BOOL) Default=FALSE */
  ARGTAG_PrgHeaderText,                 /* (const CHAR*) "Shell program" */
  ARGTAG_PrgVerText,                    /* (const CHAR*) "$VER: 1.0 (16.03.96)" */
  ARGTAG_FileName,                      /* (const dosname_t*) */
  ARGTAG_SearchLable,                   /* (const CHAR*) */
  ARGTAG_Seperator,                     /* (CHAR) Default ',' */
  ARGTAG_VarName,                       /* (const CHAR*), Variable for Default Args (pOS_GetVar()) */
  ARGTAG_VarFlags,                      /* (ULONG) [LOCALVAR_xxx] default=LOCALVAR_Var | 0x0000 */
  ARGTAG_Process,                       /* (pOS_Process*) (for ARGTAG_VarName) */
  ARGTAG_Snoop,                         /* (BOOL) default=FALSE, Zuweisungsliste ausgeben */
  ARGTAG_FH,                            /* (struct pOS_FileHandle*) */

};


#endif
