#ifndef __INC_POS_PDOS_DOSTYPES_H
#define __INC_POS_PDOS_DOSTYPES_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>DosTypes.h<<   27 Jan 1997    11:01:14 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_TYPES_H
#include <pExec/Types.h>
#endif

typedef unsigned long           dossize_t;
typedef unsigned long           dos2size_t;
typedef long                    dospos_t;
typedef char                    dosname_t;


/* *** DOS Error-Mark */
#define pOS_DOSERR (~0)

enum
{
  pOS_DosFileName_MAX = 48,    /* only File */
  pOS_DosPathName_MAX = 320,   /* whole Path (Dir+File) */
  pOS_DosComment_MAX  = 96,    /* Comment-Size */
};



#endif
