#ifndef __INC_POS_PDOS_SEGMINFO_H
#define __INC_POS_PDOS_SEGMINFO_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>SegmInfo.h<<   11 Mar 1997    09:38:03 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PDOS_DOSTYPES_H
#include <pDOS/DosTypes.h>
#endif
#ifndef __INC_POS_PDOS_SEGMENT_H
#include <pDos/Segment.h>
#endif

/*----------------------------------
-----------------------------------*/
struct pOS_SegmentInfo
{
        UWORD                  segi_StructSize;   /* sizeof(pOS_SegmentInfo) */
  const struct pOS_SegmentLst *segi_SegmLst;
  const struct pOS_Segment    *segi_Segm;
  const VOID                  *segi_StartAddress; /* Start of segi_Segm */
        size_t                 segi_SegmSize;     /* full size of segi_Segm */
        size_t                 segi_SegmOffset;   /* Byte-Offset in segi_Segm */
        ULONG                  segi_HunkType;     /* (enum pOS_HunkTypes) */
        ULONG                  segi_MemFlags;     /* (enum pOS_MemoryFlag) */
};

#endif
